Skip to main content
Get detailed information about a specific escrow, including contract signature status (whether the seller and buyer have signed the contract). Only accessible if you created the escrow or your associated user account is the seller or buyer. A charge id returns 404 (Escrow not found. Use GET /v1/charges/:id for charges.). Use Get Charge instead.

Path Parameters

string
required
The escrow ID

Response Fields

When no contract exists for the escrow yet, signatures is null. Use sellerSigned, buyerSigned, and isFullySigned to check contract signing status without calling the contract endpoint.

Error Responses

400 Bad Request

Invalid Escrow ID

403 Forbidden

Not Your Escrow

404 Not Found

Escrow Not Found
This error occurs if the escrow ID doesn’t exist, or if the id is a charge (Use GET /v1/charges/:id for charges.).
You can only access escrows where your associated user account is the seller or buyer. If you try to access an escrow you’re not involved in, you’ll receive a 403 Forbidden error.